My goal in this letter is to show you my post installation order to
see what your thoughts and suggestions are, and additionally, I'd like
to know your post installation order / style.

Perhaps Im breaking down something that shouldn't be looked at with so
much detail but I continually have problems with my post installation
procedures. Im trying to figure out what Im doing wrong so I'll
explain here what it is I do after I complete the CD install and
reboot. Here is my post installation order list (everything I compile
here is from ports and unless marked below, I install my ports with
"make all install clean"):

uname -a : FreeBSD tic.longnow.org 5.2.1-RELEASE FreeBSD 5.2.1-RELEASE
#0: Mon Feb 23 20:45:55 GMT 2004    
[EMAIL PROTECTED]:/usr/obj/usr/src/sys/GENERIC  i386

1). compile cvsup-without-gui
  1a). cp /usr/share/examples/cvsup/ports-supfile /root
  1b). cvsup -g -L 2 /root/ports-supfile
2). compile portsupgrade
3). portsupgrade -ar

Then I get this: 

%<------------------------------------

--->  Backing up the old version
--->  Uninstalling the old version
--->  Skipping 'sysutils/portupgrade' (portupgrade-20030723) because
'lang/ruby16-shim-ruby18' (ruby-shim-ruby18-1.8.1.p2) failed
** Invalid package name: textproc/ruby-rdoc: : Not in due form: <name>-<version>
** The following packages were not installed or upgraded (*:skipped / !:failed)
        ! lang/ruby16-shim-ruby18 (ruby-shim-ruby18-1.8.1.p2)  
(unknown build error)
        ! textproc/expat2 (expat-1.95.6_1)      (uninstall error)
        ! devel/gettext (gettext-0.12.1)        (unknown build error)
        * devel/gmake (gmake-3.80_1)
        ! databases/ruby-bdb1 (ruby-bdb1-0.2.1) (unknown build error)
        ! lang/ezm3 (ezm3-1.1)  (uninstall error)
        * sysutils/portupgrade (portupgrade-20030723)
        ! textproc/ruby-rdoc (ruby-rdoc-0.9.0)  (invalid package name)

------------------------------------>%


So portsupgrade is now gone so I go back to recompile it and (and I've
been getting this with other compiles on other machines):


%<------------------------------------

tic# cd /usr/ports/sysutils/portupgrade
tic# make all install clean

<snip>

===>   portupgrade-20040529_2 depends on file: /usr/local/bin/ruby18 - not found
===>    Verifying install for /usr/local/bin/ruby18 in /usr/ports/lang/ruby18
Dependency warning: used OpenSSL version contains known vulnerabilities
Please update or define either WITH_OPENSSL_BASE or WITH_OPENSSL_PORT
*** Error code 1

Stop in /usr/ports/lang/ruby18.
*** Error code 1

Stop in /usr/ports/sysutils/portupgrade.


------------------------------------>%

Wich I work around with "make WITH_OPENSSL_BASE=/usr/bin/openssl all
install clean" but is that correct? I've never seen anyone elses post
install order.

What does your post installation order look like? Any feedback is
appreciated as I've only got the handbook and google (which has given
me some bad advice (my RAID5 vinum post to this mailing list, boo).

- Ben
_______________________________________________
[EMAIL PROTECTED] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to